2005-03-03 21:19:26

by George G. Davis

[permalink] [raw]
Subject: [PATCH] Fix scripts/mkuboot.sh to return status

Sam,

If `mkimage` is either not found in search path or returns non-zero status,
`make uImage` succeeds when it should fail. This changes scripts/mkuboot.sh
to return status so build succeeds or fails as appropriate.

Source: MontaVista Software, Inc.
MR: 10761
Type: Defect Fix
Disposition: submitted to [email protected]
Keywords:
Description:
Fix scripts/mkuboot.sh to return non-zero status to indicate
build failure when uImage target is not created.

Signed-off-by: George G. Davis <[email protected]>

Index: linux-2.6.11-bk/scripts/mkuboot.sh
===================================================================
--- linux-2.6.11-bk.orig/scripts/mkuboot.sh
+++ linux-2.6.11-bk/scripts/mkuboot.sh
@@ -9,8 +9,10 @@
if [ -z "${MKIMAGE}" ]; then
# Doesn't exist
echo '"mkimage" command not found - U-Boot images will not be built' >&2
- exit 0;
+ exit -1
fi

# Call "mkimage" to create U-Boot image
${MKIMAGE} "$@"
+
+exit $?

--
Regards,
George


2005-03-13 08:56:03

by Sam Ravnborg

[permalink] [raw]
Subject: Re: [PATCH] Fix scripts/mkuboot.sh to return status

On Thu, Mar 03, 2005 at 04:16:41PM -0500, George G. Davis wrote:
> Sam,
>
> If `mkimage` is either not found in search path or returns non-zero status,
> `make uImage` succeeds when it should fail. This changes scripts/mkuboot.sh
> to return status so build succeeds or fails as appropriate.


As per mail from Tom Roni I dropped this patch.

Sam